summaryrefslogtreecommitdiff
path: root/commit.d/30hg-addremove
diff options
context:
space:
mode:
authorJoey Hess <joeyh@debian.org>2013-07-31 11:33:45 -0400
committerJoey Hess <joeyh@debian.org>2013-07-31 11:33:45 -0400
commitfdeec420b54e252e611c353ce39fe61c924e3e7d (patch)
tree2a1974e6c8cc56263e3903f49ea2a841ea895c6d /commit.d/30hg-addremove
etckeeper (1.7) unstable; urgency=low
* Fix hilarious typo hardcoding my name. Closes: #718425 # imported from the archive
Diffstat (limited to 'commit.d/30hg-addremove')
-rwxr-xr-xcommit.d/30hg-addremove8
1 files changed, 8 insertions, 0 deletions
diff --git a/commit.d/30hg-addremove b/commit.d/30hg-addremove
new file mode 100755
index 0000000..1b999bb
--- /dev/null
+++ b/commit.d/30hg-addremove
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = hg ] && [ -d .hg ]; then
+ if ! hg addremove .; then
+ echo "etckeeper warning: hg addremove failed" >&2
+ fi
+fi